Skip to main content
GET
Get a specific material conversion config version

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01k83mfmhgchya944v86ryvhpq"

Path Parameters

version_id
string
required
Example:

"mcvcv_01krxsm2pxdgygx26jbyv4ztjy"

id
string
required
Example:

"mcvc_01kyaas94dty6shm2d0j7zw9v8"

Response

id
string
required

The ID of the config version.

Example:

"mcvcv_01krxsm2pxdgygx26jbyv4ztjy"

config_id
string
required

The ID of the config this version belongs to.

Example:

"mcvc_01kyaas94dty6shm2d0j7zw9v8"

name
string
required

Human-readable name of the config version.

Example:

"Pyrolysis"

published_at
string<date-time>
required

When this version was published.

Example:

"2026-01-15T08:00:00Z"

unified
boolean
required
deprecated

Deprecated: use input_configs and output_configs instead.

Example:

true

data_point_configs
object[]
required

Data points that can be set on material conversions created from this config. Included values might affect input and output containers.

input_configs
object[]
required

When managing material conversions you can pass input_containers. Each container item must reference an input config from this input_configs list, defining which data points the specific container accepts.

output_configs
object[]
required

When managing material conversions you can pass output_containers. Each container item must reference an output config from this output_configs list, defining which data points the specific container accepts.